#ifndef _simpleclass_h
#define _simpleclass_h
class Socket;
class CMissile{
	public:
	int ClassName;
	float PositionX;
	float PositionY;
	float VelocityX;
	float VelocityY;
	float Radius;
	float HitPoints;
	float MaxHitPoints;
	float Damage;
	void read(Socket &socket);
	void write(Socket &socket) const;
};

class CPlayer{
	public:
	int ClassName;
	float PositionX;
	float PositionY;
	float VelocityX;
	float VelocityY;
	float Radius;
	float HitPoints;
	float MaxHitPoints;
	float MaxVelocity;
	float MaxAcceleration;
	float GunCooldownRemaining;
	float GunCooldownPeriod;
	float BulletDamage;
	float BulletHitPoints;
	float BulletVelocity;
	float BulletRadius;
	float ShootX;
	float ShootY;
	float RunX;
	float RunY;
	int Time;
	void read(Socket &socket);
	void write(Socket &socket) const;
};

class CMonster{
	public:
	int ClassName;
	float PositionX;
	float PositionY;
	float VelocityX;
	float VelocityY;
	float Radius;
	float HitPoints;
	float MaxHitPoints;
	float MaxVelocity;
	float MaxAcceleration;
	float GunCooldownRemaining;
	float GunCooldownPeriod;
	float BulletDamage;
	float BulletHitPoints;
	float BulletVelocity;
	float BulletRadius;
	float TeethCooldownRemaining;
	float TeethCooldownPeriod;
	float BiteDamage;
	void read(Socket &socket);
	void write(Socket &socket) const;
};

#endif /* _simpleclass_h */
