import java.io.IOException;
import java.io.*;
import java.util.*;
class Task {

  static double best_dir,INF=1<<30;
  static World world;
  static PrintWriter out;
  public static double sum(double x)
  {
    double ans=0;
    for(int j=0;j<world.MAXMONSTERS;j++)
        if (world.monsters[j].ClassName > 0.){
          ans+=(world.monsters[j].PositionX - world.player.PositionX)*Math.cos(x);
          ans+=(world.monsters[j].PositionY - world.player.PositionY)*Math.sin(x);
        }
    return ans;
  }  

    public static void try_dir(double x) throws Exception
    {
//      out.println(sum(x));
//      out.flush();
      if(sum(x)<sum(best_dir))
        best_dir=x;
    }


  static double DIST(double x1, double y1, double x2, double y2)
  {
     return Math.sqrt((x1-x2)*(x1-x2)+(y1-y2)*(y1-y2));
  }
  static double dist(double x, double y)
  {
    return DIST(x,y,world.player.PositionX,world.player.PositionY);
  }

  static double MinDist;
  static boolean first;
  static double sq(double x){return x*x;}
  static final double A=-1000,B=2,C=10;
  static double angel(int j,double dirx,double diry)
  {
    if(world.monsters[j].ClassName > 0. && (dist(world.monsters[j].PositionX,world.monsters[j].PositionY)<MinDist || first))
      {
        first=false;
        return 
             //1*world.monsters[j].HitPoints*world.monsters[j].HitPoints/world.monsters[j].MaxHitPoints+
             A*world.monsters[j].BulletDamage+
             B*dist(world.monsters[j].PositionX,world.monsters[j].PositionY)+
             C*(dist(world.monsters[j].PositionX,world.monsters[j].PositionY))*
             (-((world.monsters[j].PositionX - world.player.PositionX)*dirx + (world.monsters[j].PositionY - world.player.PositionY)*diry));
      }
    return INF;
  }

  static double xd[],yd[];
  static int sz=0;
  static void add(double x,double y)
  {
    double scale=0.9;
    xd[sz]=(x-0.5)*scale+0.5;
    yd[sz]=(y-0.5)*scale+0.5;
    sz++;
  }
  public static void main(String[] args) throws Exception{

    if (args.length < 2){
      System.err.println("parameters: IP port");
      System.exit(10);
    }
    out=new PrintWriter(new File("err"));



    world = new World(args[0], Integer.parseInt(args[1]));
    double alpha = 0.0;

    
    
    int k=0;
    boolean fl=false;
    int last=-1;
    xd=new double[100];
    yd=new double[100];
    add(0.9,0.8);
    add(0.8,0.9);
    add(0.2,0.9);
    add(0.1,0.8);
    add(0.1,0.2);
    add(0.2,0.1);
    add(0.5,0.3);
    add(0.8,0.1);
    add(0.9,0.2);


    while (true){
      world.makeMove();

      System.out.println("frame : " + world.player.Time + " HP: "+ world.player.HitPoints + " x: " + world.player.PositionX + " y: " + world.player.PositionY); 

      MinDist=world.player.Radius+0.3;
      alpha=0;
      best_dir=0;
      int Dirs=200;

      double PI = Math.acos(-1.0);
      double end = 2*PI;
      double begin=0.;
      double to_shootx,to_shooty;
      int mon=0;

      for (int i=0;i<Dirs;i++)
          try_dir(i*(end-begin)/Dirs+begin);

      to_shootx=xd[k]-world.player.PositionX;
      to_shooty=yd[k]-world.player.PositionY;

      if(dist(xd[k],yd[k])<1e-2)
        k=(k+1)%sz;
        
      {
         first=true;
         for(int j=0;j<world.MAXMONSTERS;j++)
             if(1==0 && j==last && world.monsters[j].ClassName>0)
               mon=j;
             else 
               if(angel(mon,to_shootx,to_shooty)>angel(j,to_shootx,to_shooty))
                 {
                   mon=j;
                   last=j;

                 }
         world.run((float)(to_shootx), (float)(to_shooty)); 

         //sht
         double mx=world.monsters[mon].PositionX;
         double my=world.monsters[mon].PositionY;
         double vmx=world.monsters[mon].VelocityX;
         double vmy=world.monsters[mon].VelocityY;
         double vm=DIST(vmx,vmy,0,0);
         double px=world.player.PositionX;
         double py=world.player.PositionY;
         double vp=world.player.BulletVelocity;
         double a=vm*vm-vp*vp;
         double b=2*(vmx*(mx-px)+vmy*(my-py));
         double c=dist(mx,my)*dist(mx,my);
         double d=b*b-4*a*c;
         if(d<0)
         {
           world.shoot((float)(((world.monsters[mon].PositionX - world.player.PositionX))), 
                     (float)(((world.monsters[mon].PositionY - world.player.PositionY))));
         }
         else
         { 
           b/=a;
           d/=a*a;
           double t=(-b+Math.sqrt(d))/2;
           world.shoot((float)(mx+t*vmx-px),(float)(my+t*vmy-py));
         }
      }
    }
  }
}

