#ifndef _SOCKETLIB_
#define _SOCKETLIB__

#define DECLEXPORT extern "C" __declspec(dllexport)

DECLEXPORT void connectServer(const char * ip, int port);
DECLEXPORT int nextInt();
DECLEXPORT float nextFloat();
DECLEXPORT void writeInt(int);
DECLEXPORT void writeFloat(float);
DECLEXPORT void flush();
DECLEXPORT void createServer(int port);
DECLEXPORT void closeSocket();

DECLEXPORT void Receive(char* buff, int lenBuffer);
DECLEXPORT void lockMutex();
DECLEXPORT void unlockMutex();

#endif /* _SOCKETLIB__ */
