import java.io.IOException;
class CrazyClient {
	public static void main(String[] args) throws IOException{
		if (args.length < 2){
			System.err.println("parameters: IP port [option]\n option = {runtime, exit0}");
			System.exit(666);
		}
		World world = new World(args[0], Integer.parseInt(args[1]));

		boolean needRT = false;
		boolean needExit0 = false;
		if (args.length == 3){

			if (args[2].compareTo("runtime") == 0)
				needRT = true;

			if (args[2].compareTo("exit0") == 0)
				needExit0 = true;
		}

		int i = 0;
		int[] buff;
		while (true){
			if ((i == 100) && needRT)
				throw new IOException();

			if ((i == 100) && needExit0)
				System.exit(0);

			//long startTimeMs = System.currentTimeMillis( );
			buff = new int[100000];//GC-ready code
			System.out.println(world.player.HitPoints + " " + world.player.PositionX + " " + world.player.PositionY);
			world.makeMove();
			i++;
			if (i % 2 == 0)
				world.run(i, i + 1);
			else
				world.run(-i, - i - 1);
			world.shoot(i + 1, i * i + 1);
			//System.err.print("FullTime: ");
			//System.err.println((System.currentTimeMillis() - startTimeMs));
		}
	}
}
